#!/usr/bin/env python3

from gi.repository import Gtk

class ComipoliShortcuts(Gtk.ShortcutsWindow):
    def __init__(self):
        Gtk.ShortcutsWindow.__init__(self)
        # section
        section = Gtk.ShortcutsSection(visible=True, max_height=10, section_name='Name')
        #
        appli = Gtk.ShortcutsGroup(title='Application')
        appli.add(Gtk.ShortcutsShortcut(accelerator='<ctl>q', title='Exit Application'))
        appli.add(Gtk.ShortcutsShortcut(accelerator='<ctl>w', title='Close Window'))
        #appli.add(Gtk.ShortcutsShortcut(accelerator='Escape', title='Releace FullScreen or Close Window'))
        appli.add(Gtk.ShortcutsShortcut(accelerator='Escape', title='Close Window', subtitle_set=True, subtitle='or Releace FullScreen'))
        appli.add(Gtk.ShortcutsShortcut(accelerator='F11', title='Toggle FullScreen'))
        appli.add(Gtk.ShortcutsShortcut(accelerator='F9', title='Show Thumbnail'))
        appli.add(Gtk.ShortcutsShortcut(accelerator='F8', title='Swap left and right pages'))
        appli.add(Gtk.ShortcutsShortcut(accelerator='<ctl>o', title='Show FileChooser Dialog'))
        section.add(appli)
        #
        page = Gtk.ShortcutsGroup(title='Page')
        page.add(Gtk.ShortcutsShortcut(accelerator='space', title='Next Page'))
        page.add(Gtk.ShortcutsShortcut(accelerator='BackSpace', title='Previos Page'))
        page.add(Gtk.ShortcutsShortcut(accelerator='<ctl>space', title='Step Next Page'))
        page.add(Gtk.ShortcutsShortcut(accelerator='<ctl>BackSpace', title='Step Previos Page'))
        page.add(Gtk.ShortcutsShortcut(accelerator='Left', title='Next Page', subtitle_set=True, subtitle='[L->R] @ Previos Page)'))
        page.add(Gtk.ShortcutsShortcut(accelerator='Right', title='Previos Page', subtitle_set=True, subtitle='[L->R] @ Next Page)'))
        page.add(Gtk.ShortcutsShortcut(accelerator='<ctl>Left', title='Step Next Page', subtitle_set=True, subtitle='[L->R] @ Step Previos Page)'))
        page.add(Gtk.ShortcutsShortcut(accelerator='<ctl>Right', title='Step Previos Page', subtitle_set=True, subtitle='[L->R] @ Step Next Page)'))
        page.add(Gtk.ShortcutsShortcut(accelerator='Home', title='First Page'))
        page.add(Gtk.ShortcutsShortcut(accelerator='End', title='Last Page'))
        section.add(page)
        #
        self.add(section)

