#!/usr/bin/env python3

from gi.repository import Gtk

class ComipoliHeaderBar(Gtk.HeaderBar):
    def __init__(self):
        Gtk.HeaderBar.__init__(self, show_close_button=True, has_subtitle=True, subtitle='--')
        #
        self.lr_button = Gtk.ToggleButton(label='L<-R', can_focus=False, focus_on_click=False)
        self.pack_start(self.lr_button)
        #
        image_view = Gtk.Image.new_from_icon_name('view-grid-symbolic', Gtk.IconSize.MENU)
        self.grid_button = Gtk.Button(image=image_view, can_focus=False, focus_on_click=False)
        self.pack_start(self.grid_button)

