#!/usr/bin/env python3

from gi.repository import Gtk

class ComipolNextDialog(Gtk.MessageDialog):
    def __init__(self, text):
        Gtk.MessageDialog.__init__(self, use_markup=True, secondary_use_markup=True)
        #self.set_resizable(False)
        # Buttons
        self.add_button('_Cancel (ESC)', Gtk.ResponseType.CLOSE)
        self.add_button('_Next (Enter)', Gtk.ResponseType.YES)
        self.add_button('_Prev (Alt+P)', Gtk.ResponseType.NO)
        self.set_default_response(Gtk.ResponseType.YES)
        # Expand
        area = self.get_action_area()
        area.props.layout_style = Gtk.ButtonBoxStyle.EXPAND
        # Message
        self.props.text = f'<span bgcolor="#CC0099">Next:</span> {text}'

