#!/usr/bin/env python3

from gi.repository import Gtk

class ComipoliUpperBar (Gtk.HeaderBar):
    def __init__(self):
        Gtk.HeaderBar.__init__(self, has_subtitle=True, no_show_all=True, subtitle='--', valign=Gtk.Align.START)
        #
        self.lr_button = Gtk.ToggleButton(label='L<-R', focus_on_click=False, can_focus=False, visible=True)
        self.pack_start(self.lr_button)
        #
        img2 = Gtk.Image.new_from_icon_name('view-grid-symbolic', Gtk.IconSize.MENU)
        self.grid_button = Gtk.Button(image=img2, focus_on_click=False, can_focus=False, visible=True)
        self.pack_start(self.grid_button)
        #
        img1 = Gtk.Image.new_from_icon_name('view-restore-symbolic', Gtk.IconSize.MENU)
        self.restore_button = Gtk.Button(image=img1, focus_on_click=False, can_focus=False, visible=True)
        self.pack_end(self.restore_button)

